#include <iostream>
#include <iomanip>
#include <ctime>
#define endl '\n'
using namespace std;

const int MAXN = 300000;

int a[MAXN + 5];
long long pref[MAXN + 5];

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    time_t start = clock();

    int n, k;
    cin >> n >> k;

    for (int i = 1; i <= n; ++ i)
    {
        cin >> a[i];
        pref[i] = pref[i - 1] + a[i];
    }

    long double ans = 0.0;
    for (int d = k; d <= n; ++ d)
    {
        for (int i = 1; i + d - 1 <= n; ++ i)
        {
            ans = max(ans, (long double)(1.0 * (pref[i + d - 1] - pref[i - 1]) / d));
        }
        if (clock() - start > 0.095 * CLOCKS_PER_SEC) break;
    }

    cout << fixed << setprecision(6) << ans << endl;

    return 0;
}
